/*

Tkwav

Copyright (c) 1998, Nat Pryce

Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the
above copyright notice and the following two paragraphs appear in
all copies of this software.

IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, 
SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF 
THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE AUTHOR HAS BEEN ADVISED 
OF THE POSSIBILITY OF SUCH DAMAGE.

THE AUTHOR SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT 
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" 
BASIS, AND THE AUTHOR HAS NO OBLIGATION TO PROVIDE  MAINTENANCE, SUPPORT,
UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

*/

/*
 * VC++ has an alternate entry point called DllMain, so we need to rename
 * our entry point.
 */

#include <windows.h>
#if defined(_MSC_VER)
#	define EXPORT(a,b) __declspec(dllexport) a b
#	define DllEntryPoint DllMain
#elif defined(__BORLANDC__)
#	define EXPORT(a,b) a _export b
#else
#	define EXPORT(a,b) a b
#endif

#ifdef __cplusplus
extern "C" {
#endif


#include <tcl.h>



EXTERN EXPORT(int,Tkwav_Init) _ANSI_ARGS_((Tcl_Interp *interp));
EXTERN EXPORT(int,Tkwav_SafeInit) _ANSI_ARGS_((Tcl_Interp *interp));

#ifdef __cplusplus
} // extern "C"
#endif
